/tilsexpanded#
Expanded TIL monitoring data.
Endpoint#
GET |
https://hyperion.api.synmax.com/v4/tilsexpanded |
Request Examples#
curl -X GET "https://hyperion.api.synmax.com/v4/tilsexpanded" \
-H "Access-Key: $API_TOKEN"
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
fetch_tils_expanded_resp = hyperion_api_client.fetch_tils_expanded()
fetch_tils_expanded_df = fetch_tils_expanded_resp.df()
fetch_tils_expanded_df.head()
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
date_frac_end |
— |
The date observed via satellite that the well crew completed fracking in YYYY-MM-DD format |
— |
date_til |
— |
Expected TIL date in YYYY-MM-DD format |
— |
operator |
string |
A well operator |
BILL BARRETT CORPORATION |
prod_wet_gas_bcf_day |
number |
Daily wet gas production in billion cubic feet |
— |
sub_region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
wellpad_id |
string |
The unique identifier for the wellpad |
— |
wells |
integer |
The number of wells |
— |
Normal Output#
date_frac_end |
date_til |
operator |
prod_wet_gas_bcf_day |
sub_region_natgas |
wellpad_id |
wells |
|---|---|---|---|---|---|---|
2025-01-01 |
2025-01-29 |
EXPAND |
0.078 |
Haynesville - LA |
3163 |
3 |
2023-11-21 |
2023-11-21 |
EXPAND |
0.058411000000000005 |
Haynesville - LA |
3173 |
3 |
2024-03-22 |
2024-12-14 |
EXPAND |
0.044 |
Haynesville - LA |
3180 |
2 |
2025-04-14 |
2025-04-28 |
EXPAND |
0.056 |
Haynesville - LA |
3240 |
2 |
2025-10-05 |
2025-11-03 |
ASCENT ENERGY LLC |
0.046 |
OH |
8039 |
2 |
2025-09-23 |
2025-10-27 |
RICE DRILLING D LLC |
0.056999999999999995 |
OH |
8086 |
3 |
2025-07-16 |
2025-08-19 |
ASCENT ENERGY LLC |
0.076 |
OH |
8239 |
4 |
2025-06-21 |
2025-07-05 |
EXPAND |
0.08700000000000001 |
NE PA |
10620 |
3 |
2024-01-27 |
2024-02-20 |
EQT |
0.18361752473118279 |
SW PA |
10859 |
6 |
2025-02-16 |
2025-03-13 |
SENECA RESOURCES CORPORATION |
0.07604997583620694 |
NE PA |
10994 |
4 |